在centOS 6下部署node

jopen 7年前

我在 CentOS 6 上编译 node 源代码的时候,有以下报错:

WARNING: C++ compiler too old, need g++ 4.8 or clang++ 3.4 (CXX=g++)

这是由于 CentOS 6 中编译 node4+ 需要高版本号的 C++ 编译器,于是我直接上传编译好的 nodejs 二进制版本。
事实上,我推崇大家直接下载已编译好的 node 版本,可以避开很多坑。


跳过编译安装

>> node-v4.2.4 二进制包官方下载 <<
通过服务器管理工具直接上传值/opt目录。

在终端进入/opt目录,找到node二进制包,解压至当前目录:

$ tar -zvxf node-v4.2.4-linux-x64.tar.gz

更改路径名为 /node:

$ mv node-v4.2.4-linux-x64 node

配置环境变量

进入 etc 目录下,打开 profile 文件

$ vi /etc/profile

增加以下内容:

export NODE_HOME=/opt/node  export PATH=$NODE_HOME/bin:$PATH

现在执行查看 node 版本:

$ node -v  v4.2.4

说明环境变量配置成功。

如果关闭终端再进去发现 node 环境变量失效,可以在 ~/.bash_profile 增加 export。

$ vi ~/.bash_profile

在结尾添加以下内容:

export NODE_HOME=/opt/node   export PATH=$NODE_HOME/bin:$PATH

退出系统,再次进入执行 node -v 和 npm -v,出现版本号则说明没有问题。


搭建express框架

安装express:

npm install -g express-generator

在需要放置 node app 的目录下初始化一个 express 项目并安装所需模块:

$ express -e testapp  $ cd testapp && npm install

在浏览器中输入 公网IP:3000 便能直接看到 express 初始页面:

说明 express 框架搭建成功。接下来就愉快地进行开发吧!

来自: http://segmentfault.com/a/1190000004245357